Skip to main content
`Ctrl`+`K`

# Sky2Pix_ZenithalPerspective

class astropy.modeling.projections.Sky2Pix_ZenithalPerspective(*args, **kwargs)

  Bases: `Sky2PixProjection`, `Zenithal`

  Zenithal perspective projection - sky to pixel.

  Corresponds to the `AZP` projection in FITS WCS.

  \[\begin{split}x &= R \sin \phi \\ y &= -R \sec \gamma \cos \theta\end{split}\]

  where:

  \[R = \frac{180^{\circ}}{\pi} \frac{(\mu + 1) \cos \theta} {(\mu + \sin \theta) + \cos \theta \cos \phi \tan \gamma}\]
  Parameters:
    mu `python:float`

      Distance from point of projection to center of sphere in spherical radii, μ. Default is 0.

    gamma `python:float`

      Look angle γ in degrees. Default is 0°.

  Attributes Summary

  `gamma` |
  `mu` |
  `param_names` | Names of the parameters that describe models of this type.

  Attributes Documentation

  gamma = _ParameterDS('gamma', value=0.0)
  mu = _ParameterDS('mu', value=0.0)
  param_names = ('mu', 'gamma')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.